from enum import Enum


class HTTPStatusCodes(int, Enum):
    OK = 200
    CREATED = 201
    ACCEPTED = 202
    NO_CONTENT = 204
    BAD_REQUEST = 400
    UNAUTHORIZED = 401
    FORBIDDEN = 403
    NOT_FOUND = 404
    METHOD_NOT_ALLOWED = 405
    CONFLICT = 409
    GONE = 410
    UNPROCESSABLE_ENTITY = 422
    TOO_MANY_REQUESTS = 429
    INTERNAL_SERVER_ERROR = 500
    SERVICE_UNAVAILABLE = 503


class NetworkType(str, Enum):
    PUBLIC = "PUBLIC"
    INTERNAL = "INTERNAL"
    REMOTE_MANAGEMENT = "REMOTE_MANAGEMENT"


class RackType(str, Enum):
    SHARED = "SHARED"
    DEDICATED = "DEDICATED"
    SHARED_10GE = "SHARED_10GE"
    SHARED_40GE = "SHARED_40GE"
    SHARED_100GE = "SHARED_100GE"
    SHARED_200GE = "SHARED_200GE"
    SHARED_400GE = "SHARED_400GE"


class DetectionProfile(str, Enum):
    STANDARD_DEFAULT = "STANDARD_DEFAULT"
    ADVANCED_DEFAULT = "ADVANCED_DEFAULT"
    ADVANCED_LOW_UDP = "ADVANCED_LOW_UDP"
    ADVANCED_MED_UDP = "ADVANCED_MED_UDP"


class ProtectionType(str, Enum):
    STANDARD = "STANDARD"
    ADVANCED = "ADVANCED"


class CredentialType(str, Enum):
    OPERATING_SYSTEM = "OPERATING_SYSTEM"
    RESCUE_MODE = "RESCUE_MODE"
    REMOTE_MANAGEMENT = "REMOTE_MANAGEMENT"
    CONTROL_PANEL = "CONTROL_PANEL"
    SWITCH = "SWITCH"
    PDU = "PDU"
    FIREWALL = "FIREWALL"
    LOAD_BALANCER = "LOAD_BALANCER"
    VNC = "VNC"
    TEMPORARY_OPERATING_SYSTEM = "TEMPORARY_OPERATING_SYSTEM"
    VPN_USER = "VPN_USER"
    COMBINATION_LOCK = "COMBINATION_LOCK"
    DATABASE = "DATABASE"
